Name: e2fsprogs
Version: 1.32
Release: alt1

Summary: The filesystem utilities for the ext2/ext3 filesystems
License: GPL
Group: System/Kernel and hardware
Url: http://%name.sourceforge.net/

Source: ftp://download.sourceforge.net/pub/sourceforge/%name/%name-%version.tar.bz2
Source2: http://www.netspace.net.au/~reiter/e2compr/ftp/e2compr-0.4.texinfo.bz2

#Patch: http://www.netspace.net.au/~reiter/e2compr/e2cfsprogs-9-patch-1.18.bz2
#Patch0: %name-1.19-e2compr.patch
Patch1: %name-1.18-mdk-alt-fsck-loop.patch
Patch2: %name-1.18-rh-et.patch
Patch3: %name-1.23-rh-autoconf.patch
Patch4: %name-1.27-alt-notitle.patch
Patch5: %name-1.30-alt-fixes.patch
Patch6: %name-1.30-alt-texinfo.patch

Requires: libe2fs = %version-%release

BuildPreReq: /bin/readlink

# Automatically added by buildreq on Mon Sep 09 2002
BuildRequires: glibc-devel-static

%package -n libe2fs
Summary: Dynamic ext2/ext3 libraries
Group: System/Libraries
Conflicts: %name < %version-%release

%package -n libe2fs-devel
Summary: Development ext2/ext3 libraries and include files
Group: Development/C
Provides: %name-devel = %version
Obsoletes: %name-devel
Requires: libe2fs = %version-%release

%package -n libe2fs-devel-static
Summary: Static ext2/ext3 libraries
Group: Development/C
Requires: libe2fs-devel = %version-%release
Conflicts: %name-devel < %version

%package -n evms-plugins-e2fsim
Summary: The ext2/ext3 plugin for EVMS
Group: System/Base
Requires: libe2fs = %version-%release, evms

%description
The %name package contains a number of utilities for creating, checking, modifying
and correcting any inconsistencies in second extended (ext2) filesystems.
E2fsprogs contains:
+ e2fsck (used to repair filesystem inconsistencies after an unclean shutdown),
+ mke2fs (used to initialize a partition to contain an empty ext2 filesystem),
+ debugfs (used to examine the internal structure of a filesystem, to manually
  repair a corrupted filesystem or to create test cases for e2fsck),
+ tune2fs (used to modify filesystem parameters),
+ and most of the other core ext2fs filesystem utilities.

You should install the %name package if you are using any ext2/ext3 filesystems.

%description -n libe2fs
This package contains the shared libraries required by
second extended (ext2) filesystem-specific programs.

%description -n libe2fs-devel
This package contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.

You should install this package if you want to develop ext2/ext3
filesystem-specific programs.  You'll also have to install
libe2fs package.

%description -n libe2fs-devel-static
This package contains the static libraries needed to develop statically
linked second extended (ext2) filesystem-specific programs.

You should install this package if you want to develop statically linked
ext2/ext3 filesystem-specific programs.  You'll also have to install
libe2fs-devel package.

%description -n evms-plugins-e2fsim
This package contains the ext2/ext3 plugin for EVMS.

%prep
%setup -q
chmod -R u+w .
#%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
find -type f \( -name \*.orig -o -name .cvsignore \) -print0 |
	xargs -r0 rm -f --

%build
bzcat %SOURCE2 |makeinfo --no-split
%add_optflags -DHAVE_EXT2_INODE_VERSION -D_GNU_SOURCE
autoconf
%configure \
	--sbindir=/sbin \
	--enable-nls \
	--enable-elf-shlibs \
	--enable-dynamic-e2fsck
#--disable-e2compr-03 --enable-e2compr-04

# SMP-incompatible build
make all
for f in `find -type f -name '*.[1-9].in'`; do
	touch -r "$f" "${f%%.in}"
done

%install
%__mkdir_p $RPM_BUILD_ROOT{/lib,%_includedir/e2p}

%make_install install install-libs \
	DESTDIR="$RPM_BUILD_ROOT" root_prefix=""

# Relocate shared libraries from %_libdir/ to /lib/.
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
	v="$RPM_BUILD_ROOT$(readlink -n "$f")"
	t=`objdump -p "$v" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../lib/"$t" "$f"
done
mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/
chmod a+x $RPM_BUILD_ROOT/lib/*

pushd $RPM_BUILD_ROOT
	%__subst 's,^ET_DIR=.*$,ET_DIR=%_datadir/et,' .%_bindir/compile_et
	%__subst 's,<com_err.h>,<et/com_err.h>,' .%_man3dir/com_err.3
popd

install -pm644 e2compr.info* $RPM_BUILD_ROOT%_infodir

# Get rid of duplicate files.
ln -snf e2fsck $RPM_BUILD_ROOT/sbin/fsck.ext2
ln -snf mke2fs $RPM_BUILD_ROOT/sbin/mkfs.ext2
ln -snf e2fsck.8 $RPM_BUILD_ROOT%_man8dir/fsck.ext2.8
ln -snf mke2fs.8 $RPM_BUILD_ROOT%_man8dir/mkfs.ext2.8

ln -snf e2fsck $RPM_BUILD_ROOT/sbin/fsck.ext3
ln -snf mke2fs $RPM_BUILD_ROOT/sbin/mkfs.ext3
ln -snf e2fsck.8 $RPM_BUILD_ROOT%_man8dir/fsck.ext3.8
ln -snf mke2fs.8 $RPM_BUILD_ROOT%_man8dir/mkfs.ext3.8

# Prepare docs.
find -type f -name ChangeLog -mindepth 2 |
	sed -e 's,^./,,g' |
	while read f; do
		d="${f%/*}"
		d="${d//\//.}"
		install -p -m644 "$f" "ChangeLog.$d"
		%__bzip2 -9 "ChangeLog.$d"
	done
%__bzip2 -9 ChangeLog COPYING RELEASE-NOTES ||:
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version
%__install -pm644 COPYING* RE* SHLIBS ChangeLog* \
	$RPM_BUILD_ROOT%_docdir/%name-%version/

chmod -R a+rX,go-w $RPM_BUILD_ROOT%_mandir

%find_lang %name

%post -n libe2fs -p %post_ldconfig
%postun -n libe2fs -p %postun_ldconfig

%post -n libe2fs-devel
%install_info {libext2fs,e2compr}.info

%preun -n libe2fs-devel
%uninstall_info {libext2fs,e2compr}.info

%files -f %name.lang
/sbin/*
%_bindir/*attr
%_bindir/uuidgen
%_man1dir/*attr.*
%_man1dir/uuidgen.*
%_man8dir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/COPYING*
%_docdir/%name-%version/RE*

%files -n libe2fs
/lib/*.so.*
%dir %_docdir/%name-%version
%_docdir/%name-%version/SHLIBS

%files -n libe2fs-devel
%_bindir/compile_et
%_bindir/mk_cmds
%_libdir/*.so
%_datadir/??
%_includedir/*
%_man1dir/compile_et.*
%_man3dir/*
%_infodir/*.info*
%dir %_docdir/%name-%version
%_docdir/%name-%version/ChangeLog*

%files -n libe2fs-devel-static
%_libdir/*.a

%files -n evms-plugins-e2fsim
%_libdir/evms/*

%changelog
* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1.32-alt1
- Updated to 1.32.

* Mon Nov 04 2002 Dmitry V. Levin <ldv@altlinux.org> 1.30-alt1
- Updated to 1.30.
- Following patches merged upstream:
  rh-mountlabel3
  alt-fixes (partial)
  owl-alt-lost+found-mode

* Wed Oct 09 2002 Dmitry V. Levin <ldv@altlinux.org> 1.29-alt2
- Fixed texinfo documentation.
- Added a patch for the permissions on lost+found (Owl).

* Fri Sep 27 2002 Dmitry V. Levin <ldv@altlinux.org> 1.29-alt1
- 1.29

* Mon Sep 09 2002 Dmitry V. Levin <ldv@altlinux.org> 1.28-alt1
- 1.28

* Tue Sep 03 2002 Dmitry V. Levin <ldv@altlinux.org> 1.27-alt2
- Use subst instead of perl for build.
- Updated %post/%postun scripts.
- Updated devel-static requirements.

* Fri Mar 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.27-alt1
- 1.27

* Sat Mar 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.26-alt2
- Resurrected notitle patch (lost somehow since 1.19-ipl3mdk release).
- Fixed dependencies, summaries and descriptions.
- Fixed various compilation warnings.
- Added necessary ext3 symlinks.
- Build e2fsck dynamically.
- Repackaged docs.

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.26-alt1
- 1.26

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.25-alt1
- 1.25
- Added some RH and MDK patches.
- Fixed %description's

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.24a-alt1
- 1.24a

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.19-ipl3mdk
- Create tmpfiles in more secure way.
- Added some "__progname" enhancements.
- Split into %name, libe2fs and libe2fs-devel subpackages.

* Fri Oct 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.19-ipl2mdk
- Added mountlabel patch.

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 1.19-ipl1mdk
- Updated:
  + new release 1.19
  + e2compr patch.
- Added: ext2 resize.

* Mon May 29 2000 Dmitry V. Levin <ldv@fandra.org> 1.18.9-ipl5mdk
- RE adaptions.

* Sat May 20 2000 Dmitry V. Levin <ldv@fandra.org> 1.18.9-5mdk.ldv
- Merged MDK changes.

* Sun Apr  2 2000 Dmitry V. Levin <ldv@fandra.org> 1.18.9-4mdk.mdk
- Merged RH patches.

* Tue Mar 28 2000 Dmitry V. Levin <ldv@fandra.org> 1.18.9-3mdk.ldv
- rpm-3.0.4

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 1.18-3mdk
- patch for long device names and option -C (usefull for loopback)

* Sat Mar 11 2000 Pixel <pixel@mandrakesoft.com> 1.18-2mdk
- patch for adding ability to say "-t loop" or "-t noloop", looking in the fstab
  mount options

* Sun Feb  6 2000 Dmitry V. Levin <ldv@fandra.org>
- e2cfsprogs-9-patch-1.18

* Wed Nov 03 1999 Dmitry V. Levin <ldv@fandra.org>
- e2compr code and documentation
- optimal manpage compression
- Fandra adaptions

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.17.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update mke2fs man page so that it reflects changes in mke2fs
  netweem 1.14 and 1.15.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 info

* Wed Jul 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 1.15
- Added french description

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add e2fsprog-shared in the %files
 (proposed by H.J. Lu <hjl@varesearch.com>).

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- add de locale
- fix up description (you need %name in any case... Installing a
  system without e2fsck is definately stupid)
- add e2compression support

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- fix fsck segfault

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.14
- use %configure to generate config.sub on arm

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- fix /usr/bin/compile_et and doco for com_err.h (#673)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build with prefix=/usr
- add arm patch

* Mon Dec 28 1998 Jeff Johnson  <jbj@redhat.com>
- update to 1.13.

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Mon Jul 13 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.12.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- include <asm/types.h> to match kernel types in utils

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- fixed broken llseek() prototype

* Wed Aug 20 1997 Erik Troan <ewt@redhat.com>
- added patch to prototype llseek

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
